Name:           libsbsms
Version:        2.3.0
Release:        %autorelease
Summary:        A library for high quality time and pitch scale modification

License:        GPL-2.0-or-later
URL:            https://github.com/claytonotey/libsbsms
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
libsbsms is a library for high quality time and pitch scale modification. It is
based on octave subband sinusoidal modeling and resynthesis. It stitches tracks
between subbands, and it has multiple stages of analysis and resynthesis.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%forgeautosetup -p1
sed -i "s|lib/cmake/sbsms|%{_libdir}/cmake/sbsms|" CMakeLists.txt

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \

%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libsbsms.so.2*

%files devel
%{_includedir}/sbsms.h
%{_libdir}/cmake/sbsms/
%{_libdir}/libsbsms.so
%{_libdir}/pkgconfig/sbsms.pc

%changelog
%autochangelog
